> For the complete documentation index, see [llms.txt](https://docs.keeper.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keeper.io/keeper-connection-manager/jp/authentication/using-totp-for-multi-factor-authentication.md).

# TOTPを使用した2FA

TOTPベースの認証を使用する2FA

Keeperコネクションマネージャーでは、第2の認証要素としてTOTPに対応しており、TOTP標準で生成された認証コードを使用して登録ユーザーの本人確認を行います。

## Docker環境変数

TOTPを有効化するには、`docker-compose.yml` ファイル内の `guacamole` サービスの `environment` セクションに以下の行を追加してください。`EXTENSIONS: totp` の行は必須で、それ以外はオプションとなります。

```
TOTP_ISSUER: "KCM"
TOTP_DIGITS: "6"
TOTP_PERIOD: "30"
TOTP_MODE: "sha1"
EXTENSIONS: "totp"
```

例

```
        environment:
            ACCEPT_EULA: "Y"
            GUACD_HOSTNAME: "guacd"
            MYSQL_HOSTNAME: "db"
            MYSQL_DATABASE: "guacamole_db"
            MYSQL_USERNAME: "guacamole_user"
            MYSQL_PASSWORD: "XXXXXXXXX"
            KSM_CONFIG: ""
            TOTP_ISSUER: "KCM"
            TOTP_DIGITS: "6"
            TOTP_PERIOD: "30"
            TOTP_MODE: "sha1"
            EXTENSIONS: "totp"
```

Keeper コネクションマネージャー (KCM) では、環境変数を使用して TOTP に対応するよう `keeper/guacamole` イメージを設定できます。ドキュメントに記載されている `TOTP_*` 変数をご参照ください。

## TOTP と SAML / OIDC の併用

KeeperコネクションマネージャーはSAMLとOIDC認証の使用に加え、TOTPを利用した2FA (2要素認証) を併用することも可能です。TOTPがSAMLと共に設定されている場合、ユーザーはIDプロバイダで認証した後に2FAの入力を求められます。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.keeper.io/keeper-connection-manager/jp/authentication/using-totp-for-multi-factor-authentication.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
